function drawNormals()
    % Load scan data
    load 2D_scan scan

    % Number of neighbor points used to compute the normals
    numNeighbors = 10;
    
    % Call to "ComputeNormals" MEX
    [normals, neighbors] = ComputeNormals(scan, numNeighbors);
  
    % Create a figure and axes;
    figure
    mainAx = axes;
    
    % Create a vector to store normals as lines for plot
    
    hold(mainAx, 'on')
    % Plot original scan
    plot(mainAx, scan(1,:),scan(2,:),'b.');
    
    % Draw normals
    quiver(mainAx, scan(1,:),scan(2,:),normals(1,:),normals(2,:),'r');
    
    % Draw a point and the neighbors used to compute the normal of the
    % point "pointID" (including itself)
    pointID = 600;
    
    neighborsIndex = neighbors(:,pointID);
    plot(mainAx, scan(1,neighborsIndex),scan(2,neighborsIndex),'co');
    quiver(mainAx, scan(1,pointID), scan(2,pointID), normals(1,pointID), normals(2,pointID),'k');
    plot(mainAx, scan(1,pointID),scan(2,pointID),'k.');
    hold(mainAx, 'off')
    
    % Set axis aspect ratio to equal
    axis(mainAx, 'equal')
end
